> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get the list of object records and total records count for an object.

GET https://api.brevo.com/v3/objects/{object_type}/records

Custom objects are only available to Enterprise plans.
This feature is in beta. These are subject to change.
This API retrieves a list of object records along with their associated records and provides the total count of records for the specified object. **Note**: Contact as object type is not supported in this endpoint.

Reference: https://developers.brevo.com/reference/custom-objects/getrecords

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `object_type` (string, required) — Object type for the records to retrieve. Must be a previously created custom object type. Contact as object type is not supported in this endpoint.

### Query parameters

- `limit` (long, required) — Number of records returned per page
- `page_num` (long, required) — Page number for pagination. It's used to fetch the object records on a provided page number. Must be a valid positive integer.
- `sort` (enum, optional, default: desc) — Sort order, must be 'asc' or 'desc'. Default to 'desc' if not provided.
  - Allowed values: `asc`, `desc`
- `association` (enum, optional) — Whether to include associations, must be 'true' or 'false'. Default to 'false' if not provided.
  - Allowed values: `true`, `false`

## Response

### 200

A list of object records for an object type. If association param is set true it will return 5 associated records per association for an object type.

- `count` (long, optional) — Total number of object records for an object type.
- `records` (list of object, optional)
  - `associations` (list of object or object, optional) — List of associations for the object record. If association query param is true it will return 5 associated records per association.
    - object
      - `object_type` (string, optional) — Type of the associated object
      - `records` (list of object or object, optional)
        - object
          - `identifiers` (object, optional) — Identifiers attached with the associated object record.
            - `id` (integer, optional) — Internal ID of the object record generated by Brevo
        - object
          - `identifiers` (object, optional) — Identifiers attached with the associated object record.
            - `id` (integer, optional) — Internal ID of the object record generated by Brevo
    - object
      - `object_type` (string, optional) — Type of the associated object
      - `records` (list of object or object, optional)
        - object
          - `identifiers` (object, optional) — Identifiers attached with the associated object record. Only includes the internal ID.
            - `id` (integer, optional) — Internal ID of the insurance object record generated by Brevo
        - object
          - `identifiers` (object, optional) — Identifiers attached with the associated object record. Only includes the internal ID.
            - `id` (integer, optional) — Internal ID of the insurance object record generated by Brevo
  - `attributes` (object, optional) — Key-value pairs of attribute data for the object record. Each key is the attribute **key** (e.g., `company_name`, `engine_type`), not the attribute label (e.g., "Company Name", "Engine Type"). Only attributes that already exist in the object schema will be present. For `category` or `multiple_category` attributes, the value is the option **key** (not the option label or option ID).
  - `createdAt` (datetime, optional) — Timestamp when the object record was created
  - `identifiers` (object, optional) — Identifiers for the object record. Supports `id` (singular, not `ids`) or `ext_id`. - `ext_id`: Your external system's identifier for this record. - `id`: Internal Brevo record ID.
    - `ext_id` (string, optional) — External ID of the record in your system.
    - `id` (integer, optional) — Internal ID of the object record generated by Brevo.
  - `updatedAt` (datetime, optional) — Timestamp when the object record was last updated

## Errors

### 400 Bad Request Error

Bad request (e.g., invalid object_type, invalid page number provided)

- `any`

### 403 Forbidden Error

Custom objects are not available on this account.

- `any`

### 424 Failed Dependency Error

primary attribute not found

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Examples

**Response**

```json
{
  "count": 350,
  "records": [
    {
      "associations": [
        {
          "object_type": "garage",
          "records": [
            {
              "identifiers": {
                "id": 12345
              }
            }
          ]
        }
      ],
      "attributes": {
        "color": "Black",
        "engine_type": "hybrid",
        "make": "Toyota",
        "model": "Corolla",
        "year": 2020
      },
      "createdAt": "2025-07-22T10:20:30Z",
      "identifiers": {
        "ext_id": "507f1f77bc",
        "id": 16789
      },
      "updatedAt": "2025-07-22T10:20:30Z"
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.customObjects.getrecords({
        objectType: "vehicle",
        limit: 1,
        pageNum: 1,
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.custom_objects.getrecords(
    object_type="vehicle",
    limit=1,
    page_num=1,
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\CustomObjects\Requests\GetrecordsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->customObjects->getrecords(
    'vehicle',
    new GetrecordsRequest([
        'limit' => 1,
        'pageNum' => 1,
    ]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/objects/vehicle/records?limit=1&page_num=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/objects/vehicle/records?limit=1&page_num=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/objects/vehicle/records?limit=1&page_num=1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/objects/vehicle/records?limit=1&page_num=1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/objects/vehicle/records?limit=1&page_num=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```